## org.mortbay.cometd
Class JSONTransport

    java.lang.Object
      org.mortbay.cometd.AbstractTransport
          org.mortbay.cometd.JSONTransport

All Implemented Interfaces:
  Transport

    public class JSONTransport

extends AbstractTransport

Field Summary
`protected String` `_contentType`
`protected String` `_end`
`protected String` `_start`

Constructor Summary
`JSONTransport(boolean commented)`

Method Summary
`void` `complete()`
`boolean` `isJSONCommented()`
`boolean` `resumePoll()`
`void` `send(org.cometd.Message message)`
`void` `setJSONCommented(boolean commented)`

Methods inherited from class org.mortbay.cometd.AbstractTransport
`getPollReply, getResponse, setPollReply, setResponse`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### _contentType

    protected String _contentType

### _start

    protected String _start

### _end

    protected String _end

Constructor Detail

### JSONTransport

    public JSONTransport(boolean commented)

Method Detail

### isJSONCommented

    public boolean isJSONCommented()

  Returns:
    the commented

### setJSONCommented

    public void setJSONCommented(boolean commented)

  Parameters:
    `commented` - the commented to set

### send

    public void send(org.cometd.Message message)
              throws IOException

  Throws:
    `IOException`

### complete

    public void complete()
                  throws IOException

  Throws:
    `IOException`

### resumePoll

    public boolean resumePoll()

Copyright © 1995-2008 Mort Bay Consulting. All Rights Reserved.